Folks.Backend – folks Reference Manual

# Backend

## Object Hierarchy:

## Description:

public abstract class Backend : Object

A single backend to libfolks, such as Telepathy or evolution-data-server. Each backend provides Personas which are aggregated to form Individuals.

After creating a Backend instance, you must connect to the Backend.persona_store_added and Backend.persona_store_removed signals, then call Backend.prepare, otherwise a race condition may occur between emission of Backend.persona_store_added and your code connecting to it.

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract bool is_prepared { get; }
  Whether Backend.prepare has successfully completed for this backend.
- public abstract bool is_quiescent { get; }
  Whether the backend has reached a quiescent state. This will happen at some point after Backend.prepare has successfully completed for the backend. A backend is in a quiescent state when all the PersonaStores that it originally knows about have been loaded.
- public abstract string name { get; }
  A unique name for the backend.
- public abstract Map<string,PersonaStore> persona_stores { get; }
  The PersonaStores in use by the backend.

### Methods:

- public abstract void disable_persona_store (PersonaStore store)
  Disable a PersonaStore.
- public abstract void enable_persona_store (PersonaStore store)
  Enable a PersonaStore.
- public abstract async void prepare () throws Error
  Prepare the Backend for use.
- public abstract void set_persona_stores (Set<string>? storeids)
  Set the PersonaStores to use in this backend.
- public abstract async void unprepare () throws Error
  Revert the Backend to its pre-prepared state.

### Signals:

- public signal void persona_store_added (PersonaStore store)
  Emitted when a PersonaStore is added to the backend.
- public signal void persona_store_removed (PersonaStore store)
  Emitted when a PersonaStore is removed from the backend.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref